select
    d.dia
    , (select
            avg(cast(d.dia as date) - lac.dtinicio)
        from
            animal an
            join lactacao lac on lac.cdlactacao =
                (select first 1 re.cdlactacao from lactacao re where re.cdanimal = an.cdanimal
                                                            and re.dtinicio <= d.dia
                                                            and ((re.dtfim is null) or (re.dtfim > d.dia)))
        where
            an.tipoanimal = 'A'
            and an.animalrebanho = 1
            and ((an.dtbaixa is null) or (an.dtbaixa > d.dia))) as media_del
    , (select
            count(an.cdanimal)
        from
            animal an
            join lactacao lac on lac.cdlactacao =
                (select first 1 re.cdlactacao from lactacao re where re.cdanimal = an.cdanimal
                                                            and re.dtinicio <= d.dia
                                                            and ((re.dtfim is null) or (re.dtfim > d.dia)))
        where
            an.tipoanimal = 'A'
            and an.animalrebanho = 1
            and ((an.dtbaixa is null) or (an.dtbaixa > d.dia))) as animais_lactacao
from
    dias d
where
---INSIRA AQUI O PERODO DE ANLISE DESEJADO. MANTENHA O FORMATO AAAA-MM-DD.
    d.dia between '2024-01-01' and '2024-01-31'
order by
    d.dia
